"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApiEventHandler = void 0;
const react_1 = require("react");
const logger_1 = require("../logger");
function useApiEventHandler(apiRef, eventName, handler) {
    const logger = (0, logger_1.useLogger)('useApiEventHandler');
    (0, react_1.useEffect)(() => {
        if (handler && eventName) {
            logger.debug(`Subscribing to ${eventName} with handler reference ${handler.name}`);
            return apiRef.current.subscribeEvent(eventName, handler);
        }
        logger.warn(`Event name or handler is missing therefore it isn't possible to subscribe. EventName: ${eventName}, Handler: ${handler}`);
        return undefined;
    }, [apiRef, eventName, handler, logger]);
}
exports.useApiEventHandler = useApiEventHandler;
