"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApiExtends = void 0;
const react_1 = require("react");
const logger_1 = require("../logger");
function useApiExtends(apiRef, apiMethods, apiName) {
    const logger = (0, logger_1.useLogger)('useApiExtends');
    (0, react_1.useEffect)(() => {
        let hasMethodsInstalled = true;
        if (!apiRef.current.isInitialised) {
            return;
        }
        Object.keys(apiMethods).forEach(methodName => {
            if (!apiRef.current[methodName]) {
                hasMethodsInstalled = false;
            }
        });
        if (!hasMethodsInstalled) {
            logger.debug(`Adding ${apiName} to apiRef`);
            // eslint-disable-next-line no-param-reassign
            apiRef.current = Object.assign(apiRef.current, apiMethods);
        }
    }, [apiRef.current.isInitialised, apiRef, apiMethods, apiName, logger]);
}
exports.useApiExtends = useApiExtends;
