"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_virtualized_1 = require("react-virtualized");
const utils_1 = require("./utils");
const CellMeasureWrapper = (_a) => {
    var { rowSpan, colSpan, cellRenderer, rendererProps, style } = _a, props = tslib_1.__rest(_a, ["rowSpan", "colSpan", "cellRenderer", "rendererProps", "style"]);
    const initializeStyles = () => {
        const defaultStyle = {
            // transform: 'translate3d(0, 0, 0)',
            alignItems: 'center',
            overflow: 'hidden',
            wordBreak: 'break-word',
            textAlign: 'center',
        };
        const { rowIndex, cache } = props;
        if (!rowSpan && !colSpan) {
            return style ? Object.assign(Object.assign({}, style), defaultStyle) : defaultStyle;
        }
        const rowGenerator = row => cache.rowHeight({ index: rowIndex + row });
        const rowSpanStyle = !rowSpan ? {} : { height: (0, utils_1.getMaxSum)(rowGenerator, rowSpan) };
        //Fetch all column widths and sum into a unique value
        const buildSpanColumnWidth = (spanSize) => {
            let value = 0;
            const lastIndex = props.columnIndex + spanSize;
            for (let i = props.columnIndex; i < lastIndex; i++) {
                value += rendererProps.getColumnWidth({ index: i });
            }
            return value;
        };
        const colSpanStyle = !colSpan ? {} : { width: buildSpanColumnWidth(colSpan) };
        const _style = Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, style), defaultStyle), rowSpanStyle), colSpanStyle), { zIndex: 1 });
        return _style;
    };
    const spanningStyle = initializeStyles();
    return (react_1.default.createElement(react_virtualized_1.CellMeasurer, Object.assign({}, props), ({ registerChild }) => cellRenderer(Object.assign(Object.assign({}, rendererProps), { style: spanningStyle, ref: registerChild }))));
};
exports.default = CellMeasureWrapper;
