import { Column, ColumnWidthDictionary, GridHeader, NestedHeader } from '../types';
import { SelectionProps } from '../../rowSelection';
import { ApiRef } from '../../api';
import { StretchMode } from '../../types';
export interface ColumnWidthRecord {
    totalSize: number;
    mapping: ColumnWidthDictionary;
}
export interface GetColumnAt {
    (index: number, row?: number): Column | undefined;
}
interface HeadersState {
    gridHeaders: GridHeader[][];
    columns: Column[];
}
interface Props {
    columns: Column[];
    nestedHeaders?: Array<NestedHeader[]>;
    minColumnWidth: number;
    stretchMode?: StretchMode;
    apiRef: ApiRef;
    selection?: SelectionProps;
    initialised?: boolean;
    nestedColumnsEnabled?: boolean;
}
/**
 * useHeaders manage the column configurations, parses
 * and validates but also expose util methods necessary for the creation of the headers
 * @todo Unit tests
 * @param headers
 * @param nestedHeaders
 */
export declare function useHeaders({ columns, nestedHeaders, initialised, apiRef, selection, nestedColumnsEnabled, }: Props): HeadersState;
export {};
