"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatExpandedRows = void 0;
const flatExpandedRows = (rows, apiRef) => {
    const flattenRows = [];
    rows.forEach(e => {
        if (e.__children &&
            e.__children.length > 0 &&
            apiRef.current.isRowExpanded(e[apiRef.current.selectionKey])) {
            const flatten = (0, exports.flatExpandedRows)(e.__children, apiRef);
            flattenRows.push(e);
            flattenRows.push(...flatten);
        }
        else {
            flattenRows.push(e);
        }
    });
    return flattenRows;
};
exports.flatExpandedRows = flatExpandedRows;
