"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarEditor = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const styles_1 = require("@mui/styles");
const react_1 = require("react");
const material_1 = require("@mui/material");
const dayjs_1 = tslib_1.__importDefault(require("dayjs"));
const lab_1 = require("@mui/lab");
const useStyles = (0, styles_1.makeStyles)(() => ({
    root: {
        zIndex: 999,
    },
    calendarContainer: {
        border: 'none',
    },
}));
exports.CalendarEditor = (0, react_1.forwardRef)(({ apiRef, stopEditing, anchorRef, value, additionalProps }, componentRef) => {
    const classes = useStyles();
    const [state, setState] = (0, react_1.useState)({
        value: value ? (0, dayjs_1.default)(value) : (0, dayjs_1.default)(),
        close: false,
    });
    (0, react_1.useImperativeHandle)(componentRef, () => ({
        getValue: () => (0, dayjs_1.default)(state.value).format('YYYY-MM-DD'),
    }));
    //Close state is a flag indicating whether to stop editing (for click event)
    (0, react_1.useEffect)(() => {
        if (state.close) {
            stopEditing({ save: true });
        }
    }, [state.close, stopEditing]);
    const onClickAway = (0, react_1.useCallback)(() => {
        stopEditing({ save: false });
    }, [stopEditing]);
    const onKeyDown = (0, react_1.useCallback)((e) => {
        if (e.key === 'Escape') {
            e.preventDefault();
            stopEditing({ save: false });
        }
    }, [stopEditing]);
    (0, react_1.useEffect)(() => {
        document.addEventListener('keydown', onKeyDown);
        return () => document.removeEventListener('keydown', onKeyDown);
    }, [onKeyDown]);
    const onChange = (0, react_1.useCallback)(date => {
        setState({ value: (0, dayjs_1.default)(date), close: true });
    }, []);
    const popperModifiers = [
        {
            name: 'flip',
            enabled: true,
            options: {
                altBoundary: true,
                rootBoundary: 'document',
                padding: 8,
            },
        },
        {
            name: 'preventOverflow',
            enabled: true,
            options: {
                altAxis: true,
                altBoundary: true,
                tether: true,
                rootBoundary: document,
                padding: 8,
            },
        },
        {
            name: 'arrow',
            enabled: false,
        },
    ];
    const renderInput = (0, react_1.useCallback)(() => React.createElement("div", null), []);
    return (React.createElement(material_1.ClickAwayListener, { onClickAway: onClickAway },
        React.createElement(material_1.Popper, { open: true, id: 'apollo-calendar', anchorEl: anchorRef, placement: 'right-start', keepMounted: false, className: classes.root, modifiers: popperModifiers },
            React.createElement(lab_1.DatePicker
            //{...additionalProps?.componentProps}
            //displayStaticWrapperAs="desktop"
            //openTo="day"
            , { 
                //{...additionalProps?.componentProps}
                //displayStaticWrapperAs="desktop"
                //openTo="day"
                value: value, onChange: onChange, renderInput: renderInput, className: additionalProps === null || additionalProps === void 0 ? void 0 : additionalProps.className }))));
});
