"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDefaultPaperProps = void 0;
const createDefaultPaperProps = (anchorStyle, isValidValue, additionalProps, theme) => {
    let { border } = anchorStyle;
    if (!isValidValue) {
        if (additionalProps === null || additionalProps === void 0 ? void 0 : additionalProps.invalidValueBorderColor) {
            border = `1px solid ${additionalProps === null || additionalProps === void 0 ? void 0 : additionalProps.invalidValueBorderColor}`;
        }
        else {
            border = '1px solid red';
        }
    }
    const style = Object.assign(Object.assign({}, additionalProps === null || additionalProps === void 0 ? void 0 : additionalProps.containerProps), { width: anchorStyle.width, minHeight: anchorStyle.height, overflow: 'hidden', zIndex: 10, border });
    return {
        style,
        className: theme === null || theme === void 0 ? void 0 : theme.editorContainerClass,
    };
};
exports.createDefaultPaperProps = createDefaultPaperProps;
