import React from 'react';
import { NavigationCoords } from '../keyboard';
import { Column } from '../columnGrid';
import { ApolloCoreProps, ApolloCrudProps } from '../ApolloSpreadsheetProps';
export interface StopEditingParams {
    /** @default true **/
    save?: boolean;
}
export interface IEditorState {
    node: JSX.Element;
    rowIndex: number;
    colIndex: number;
    initialValue: React.ReactText;
    targetElement: Element;
    validatorHook?: Column['validatorHook'];
    shouldSaveHook?: Column['shouldSaveHook'];
    /**
     * Useful to prevent navigation interception on second arms
     */
    isPopup: boolean;
}
export interface EditorManagerProps extends Required<ApolloCoreProps>, Pick<ApolloCrudProps, 'onCellChange'> {
    initialised: boolean;
}
export interface BeginEditingParams {
    coords: NavigationCoords;
    targetElement: Element;
    defaultKey?: string;
}
export interface EditorRef<T = any> {
    getValue: () => T;
}
/**
 * Provides a way to manage the editors and also returns the active editor node
 * This hook controls the editing states, interacts with useNavigation hook and also manages the commit/cancel cycle of
 * an editor
 */
export declare function useEditorManager({ onCellChange, apiRef }: EditorManagerProps): JSX.Element | null;
