"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleEditorKeydown = void 0;
const enums_1 = require("../enums");
const isCaretAtEndPosition_1 = require("./isCaretAtEndPosition");
/**
 * Provides a generic keydown handler to check caret position and disabled navigation keys
 * @param e
 * @param stopEditing
 */
function handleEditorKeydown(e, stopEditing) {
    if (enums_1.NavigationKey[e.key]) {
        const cursorStart = e.target.selectionStart;
        const cursorEnd = e.target.selectionEnd;
        if (e.key === 'Tab') {
            e.preventDefault();
            stopEditing({ save: true });
        }
        if (e.key === 'ArrowDown') {
            e.preventDefault();
            stopEditing({ save: true });
        }
        if (e.key === 'ArrowUp') {
            e.preventDefault();
            stopEditing({ save: true });
        }
        if (e.key === 'ArrowLeft' && cursorStart === 0) {
            e.preventDefault();
            stopEditing({ save: true });
        }
        if (e.key === 'ArrowRight' && (0, isCaretAtEndPosition_1.isCaretAtEndPosition)(cursorEnd, e.target.value.length)) {
            e.preventDefault();
            stopEditing({ save: true });
        }
    }
}
exports.handleEditorKeydown = handleEditorKeydown;
