import React from 'react';
interface IGenerateDummyData {
    parent: any;
    index: number;
    totalDummies: number;
    dummyFor: 'rowSpan' | 'colSpan';
    colSpan?: number;
    rowSpan?: number;
}
/**
 * DummyCell is a type used for the insert of dummy cells but there
 * are required properties that are marked as optional here in order to allow
 * default columns to be mixed into insert dummy cells method
 */
export interface DummyCell {
    colSpan?: number;
    rowSpan?: number;
    value?: string;
    dummy?: boolean;
    dummyFor?: 'rowSpan' | 'colSpan';
    first?: boolean;
    last?: boolean;
    style?: React.CSSProperties;
}
export interface BufferedRecord {
    remainingRows: number;
    parent: {
        rowSpan: number;
    };
}
/**
 * DummyBuffer generates dummy cells for merged cells (col or row spans)
 * @todo Missing unit tests
 * @todo Interfaces need a better refactor and concept on what's really needed
 * @todo Use union types to avoid creating new interfaces and inherit its types
 */
export declare class DummyBuffer {
    private readonly _buffer;
    /**
     * @param parent
     * @param index
     * @param totalDummies
     * @param dummyFor
     */
    generateDummy({ parent, index, totalDummies, dummyFor, colSpan, rowSpan }: IGenerateDummyData): DummyCell;
    insert(key: number, arr: BufferedRecord[]): void;
    extract(index: number): DummyCell[];
}
export {};
