"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DummyBuffer = void 0;
/**
 * DummyBuffer generates dummy cells for merged cells (col or row spans)
 * @todo Missing unit tests
 * @todo Interfaces need a better refactor and concept on what's really needed
 * @todo Use union types to avoid creating new interfaces and inherit its types
 */
class DummyBuffer {
    constructor() {
        this._buffer = new Map();
    }
    /**
     * @param parent
     * @param index
     * @param totalDummies
     * @param dummyFor
     */
    generateDummy({ parent, index, totalDummies, dummyFor, colSpan, rowSpan }) {
        const style = {};
        const first = index === 0;
        const last = index === totalDummies - 1;
        /** @todo Review this part, we might only provide a className with theme
         * to indicate whether its the last
         * column or last row or even for spanns, the user might want to do something about it
         * **/
        if (dummyFor === 'colSpan') {
            style.borderLeft = 0;
            if (!last) {
                style.borderRight = 0;
            }
        }
        else {
            style.borderTop = 0;
            if (!last) {
                style.borderBottom = 0;
            }
        }
        return Object.assign(Object.assign({}, parent), { colSpan,
            rowSpan, value: '', dummy: true, dummyFor,
            first,
            last, style: Object.assign(Object.assign({}, parent.style), style) });
    }
    insert(key, arr) {
        var _a;
        if (this._buffer.has(key)) {
            (_a = this._buffer.get(key)) === null || _a === void 0 ? void 0 : _a.push(...arr);
        }
        else {
            this._buffer.set(key, arr);
        }
    }
    extract(index) {
        var _a, _b;
        const arr = [];
        if (!this._buffer.has(index) || ((_a = this._buffer.get(index)) === null || _a === void 0 ? void 0 : _a.length) === 0) {
            return arr;
        }
        (_b = this._buffer.get(index)) === null || _b === void 0 ? void 0 : _b.forEach(item => {
            if (!item.remainingRows) {
                return;
            }
            arr.push(this.generateDummy({
                parent: item.parent,
                totalDummies: item.parent.rowSpan - 1,
                index: item.parent.rowSpan - 1 - item.remainingRows,
                dummyFor: 'rowSpan',
                rowSpan: 1,
            }));
            // eslint-disable-next-line no-param-reassign
            item.remainingRows -= 1;
        });
        return arr;
    }
}
exports.DummyBuffer = DummyBuffer;
