"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertDummyCells = void 0;
const tslib_1 = require("tslib");
const dummy_buffer_1 = require("./dummy-buffer");
const flatMap_1 = tslib_1.__importDefault(require("lodash/flatMap"));
/**
 * Requires a re-write due to flatMap, unknown types and the data not being passed
 * with interface and as row(with cells)
 * @param data
 */
function insertDummyCells(data = []) {
    const dummyBuffer = new dummy_buffer_1.DummyBuffer();
    return data.map(row => {
        let lastRowSpanI = -1;
        let finalCellIndex = 0;
        const cells = (0, flatMap_1.default)(row, (col, colIndex) => {
            var _a, _b;
            const arr = [];
            // consume from buffer
            arr.push(...dummyBuffer.extract(finalCellIndex));
            // add dummy cell data to buffer for future rows to extract
            if (col.rowSpan && col.rowSpan > 1) {
                const parentData = {
                    remainingRows: col.rowSpan - 1,
                    parent: {
                        rowSpan: (_a = col.rowSpan) !== null && _a !== void 0 ? _a : 1,
                    },
                };
                let bufferKey = finalCellIndex;
                const lastRowSpan = (_b = row[colIndex - 1]) === null || _b === void 0 ? void 0 : _b.rowSpan;
                if (lastRowSpanI !== -1 && lastRowSpan && lastRowSpan > 1) {
                    bufferKey = lastRowSpanI;
                }
                else {
                    lastRowSpanI = finalCellIndex;
                }
                const dummiesToPush = col.colSpan || 1;
                const dummiesArray = [];
                for (let i = 0; i < dummiesToPush; i++) {
                    dummiesArray.push(Object.assign({}, parentData));
                }
                dummyBuffer.insert(bufferKey, dummiesArray);
            }
            //Bind the default column
            arr.push(Object.assign({}, col));
            if (col.colSpan && col.colSpan > 1) {
                const totalDummies = col.colSpan - 1;
                const dummies = [...Array(totalDummies).keys()].map((_, index) => dummyBuffer.generateDummy({
                    parent: col,
                    index,
                    totalDummies,
                    dummyFor: 'colSpan',
                    colSpan: 1,
                }));
                arr.push(...dummies);
            }
            finalCellIndex += arr.length;
            return arr;
        });
        // buffer has data for next cell
        cells.push(...dummyBuffer.extract(finalCellIndex));
        return cells;
    });
}
exports.insertDummyCells = insertDummyCells;
