"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveDynamicCallback = void 0;
const isFunctionType_1 = require("./isFunctionType");
/**
 * Returns the value against the provided generic but in case a function is provided
 * it will be resolved accordingly and must return the same generic value
 * @param callbackOrValue
 * @param params
 */
const resolveDynamicCallback = (callbackOrValue, params) => {
    if ((0, isFunctionType_1.isFunctionType)(callbackOrValue)) {
        return callbackOrValue(params);
    }
    return callbackOrValue;
};
exports.resolveDynamicCallback = resolveDynamicCallback;
