export declare function isIndexOutOfBoundaries(index: number, min: number, max: number): boolean;
/**
 * Returns true if keyCode represents a printable character.
 *
 * @param {number} keyCode The keyboard key code.
 * @returns {boolean}
 */
export declare function isPrintableChar(keyCode: number): boolean;
/**
 * Checks if passed key code is ctrl or cmd key.
 * Depends on what OS the code runs it check key code based on
 * different meta key codes.
 *
 * @param {number} keyCode The keyboard key code.
 * @returns {boolean}
 */
export declare function isCtrlKey(keyCode: number): boolean;
/**
 * Checks if passed key code is ctrl or cmd key.
 * This helper checks if the key code matches to meta keys
 * regardless of the OS on which it is running.
 *
 * @param {number} keyCode The keyboard key code.
 * @returns {boolean}
 */
export declare function isCtrlMetaKey(keyCode: number): boolean;
/**
 * @param {number} keyCode The keyboard key code.
 * @param {string} baseCode The list of the key codes to compare with.
 * @returns {boolean}
 */
/**
 * @param {number} keyCode The keyboard key code.
 * @returns {boolean}
 */
export declare function isMetaKey(keyCode: number): boolean;
