import { NavigationCoords } from '../types';
declare type CellQueryRole = 'columnheader' | 'cell';
interface CreateCellQueryProperties extends NavigationCoords {
    role: CellQueryRole;
    accessor?: string;
}
export interface CellQueryProperties {
    'aria-rowindex': number;
    'aria-colindex': number;
    'data-accessor'?: string;
    role: CellQueryRole;
}
export declare const createCellQueryProperties: ({ colIndex, rowIndex, role, accessor, }: CreateCellQueryProperties) => CellQueryProperties;
export declare const createCellQuerySelector: ({ colIndex, rowIndex }: NavigationCoords) => string;
export declare const createColumnQuerySelector: ({ colIndex, rowIndex }: NavigationCoords) => string;
export declare const isCellElement: (element?: Element) => boolean;
/** @todo requires tests **/
export declare const getCellCoordinatesFromDOMElement: (target: Element) => NavigationCoords | undefined;
export declare const createSelectorElementNotFoundWarning: ({ colIndex, rowIndex }: NavigationCoords) => string;
export declare const createCoordsParseWarning: (element?: Element) => string;
export {};
