"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loggerFactory = void 0;
const utils_1 = require("./utils");
const forceDebug = (0, utils_1.localStorageAvailable)() && window.localStorage.getItem('APOLLO_DEBUG') != null;
/**
 * Creates a new logger instance
 * If you wish to force the debug, ensure `APOLLO_DEBUG` is defined in localStorage
 * @param name
 * @param logLevel
 */
function loggerFactory(name, logLevel = process.env.NODE_ENV === 'production' ? 'error' : 'warn') {
    if (forceDebug) {
        return (0, utils_1.createLoggerInstance)(name, 'debug');
    }
    return (0, utils_1.createLoggerInstance)(name, logLevel.toString());
}
exports.loggerFactory = loggerFactory;
