"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMergedGroups = void 0;
/**
 * Creates the list of groups parent with all child rows
 * for future lookup
 * @param data
 */
function createMergedGroups(data) {
    const groups = [];
    for (const e of data) {
        const childRows = [];
        const ranges = {
            rowStart: e.rowIndex + 1,
            rowEnd: e.rowIndex + Math.max(0, e.rowSpan - 1),
            colStart: e.colIndex,
            colEnd: e.colIndex + Math.max(0, e.colSpan - 1),
        };
        for (let i = ranges.rowStart; i <= ranges.rowEnd; i++) {
            childRows.push(i);
        }
        groups[e.rowIndex] = childRows;
    }
    return groups;
}
exports.createMergedGroups = createMergedGroups;
