import { NavigationCoords } from '../keyboard';
import { MergeCell } from './interfaces';
import { MergePosition } from './createMergedPositions';
import { ApiRef } from '../api';
export interface MergedCellsHookProps {
    mergeCells?: MergeCell[];
    rowCount: number;
    columnCount: number;
    apiRef: ApiRef;
    initialised: boolean;
}
/**
 * Provides validation for merged data, handles the lookup with navigation coordinates and
 * return util functions
 * @param data
 */
export declare function useMergeCells({ mergeCells, rowCount, columnCount, apiRef }: MergedCellsHookProps): {
    mergedPositions: MergePosition[];
    mergedCells: MergeCell[];
    isMerged: ({ rowIndex, colIndex }: NavigationCoords) => boolean;
};
