import { DepthMap } from './depth-map.interface';
import { Column } from '../columnGrid';
/**
 * Recursively creates a map with the column ids -> depth level
 * @param columns
 * @param selectionKey
 * @param depth If provided will be used as the 0-th level depth
 * @param map   If a map is provided by default it will be mutated so make sure you create a
 * new copy of it in case you want to avoid mutation
 */
export declare const createDepthMap: (columns: Column[], selectionKey: string, depth?: number, map?: DepthMap) => DepthMap;
