import { Row } from '../types';
import { DepthMap } from './depth-map.interface';
/**
 * Recursively creates a map with the row ids -> depth level
 * @param rows
 * @param selectionKey
 * @param depth If provided will be used as the 0-th level depth
 * @param map   If a map is provided by default it will be mutated so make sure you create a
 * new copy of it in case you want to avoid mutation
 */
export declare const createDepthMap: (rows: Row[], selectionKey: string, depth?: number, map?: DepthMap) => DepthMap;
