"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSelectionColumn = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const material_1 = require("@mui/material");
const Delete_1 = tslib_1.__importDefault(require("@mui/icons-material/Delete"));
const useRowSelection_1 = require("./useRowSelection");
const createSelectionColumn = (selection) => {
    var _a, _b;
    return ({
        colSpan: 1,
        id: useRowSelection_1.ROW_SELECTION_HEADER_ID,
        title: '',
        className: selection === null || selection === void 0 ? void 0 : selection.className,
        renderer: () => {
            var _a;
            return (react_1.default.createElement(material_1.Tooltip, { placement: 'top', title: (_a = selection.tooltipText) !== null && _a !== void 0 ? _a : 'Click to delete the selected rows' },
                react_1.default.createElement(material_1.IconButton, { onClick: selection === null || selection === void 0 ? void 0 : selection.onHeaderIconClick },
                    react_1.default.createElement(Delete_1.default, null))));
        },
        disableNavigation: (_a = selection.disableNavigation) !== null && _a !== void 0 ? _a : false,
        accessor: useRowSelection_1.ROW_SELECTION_HEADER_ID,
        width: (_b = selection === null || selection === void 0 ? void 0 : selection.width) !== null && _b !== void 0 ? _b : '2%',
    });
};
exports.createSelectionColumn = createSelectionColumn;
