import { SelectionProps } from './selectionProps';
import { ApiRef } from '../api';
import { Row } from '../types';
export declare const ROW_SELECTION_HEADER_ID = "__selection__";
/**
 * useRowSelection is a hook that provides utility for selecting rows
 * @param apiRef
 * @param initialised
 * @param selection
 */
export declare function useRowSelection(apiRef: ApiRef, initialised: boolean, selection?: SelectionProps): {
    isRowSelected: (id: string) => boolean;
    selectRow: (idOrRow: string | Row) => void;
    getSelectedRows: () => string[];
};
